petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMGetStratumIS

Get the points in a label stratum

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMGetStratumIS(DM dm, const char name[], PetscInt value, IS *points)

Not Collective

### Input Parameters

| dm | - The DM object
| name | - The label name
| value | - The stratum value

### Output Parameter

points -The stratum points, or NULL if the label does not exist or does not have that value

### Keywords

mesh

### See Also

DMLabelGetStratumIS(), DMGetStratumSize()

Level:beginner
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/impls/plex/examples/tutorials/ex1.c.html
src/dm/impls/plex/examples/tutorials/ex1f90.F.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex11.c.html